use std::hint::black_box;

use svg_filters::{
    codegen::SvgDocument,
    types::{
        graph::edge::Edge,
        nodes::{
            primitives::{blend::BlendMode, color_matrix::ColorMatrixType},
            standard_input::StandardInput,
        },
    },
    Node,
};

fn main() {
    let mut doc = SvgDocument::new();

    let blend = doc.create_filter("blend");

    let offset0 = blend.offset(StandardInput::SourceGraphic, 100., 0.);
    let offset1 = blend.offset(StandardInput::SourceGraphic, -100., 0.);
    blend.blend(offset0, offset1, BlendMode::Multiply);

    eprintln!("{}", doc.generate_svg_pretty());
    println!("{}", doc.generate_svg());
}
